Bug 1518671

Summary: Review Request: mozilla-ublock-origin - An efficient blocker for Firefox
Product: [Fedora] Fedora Reporter: Dominik 'Rathann' Mierzejewski <dominik>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, robatino, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-02 16:54:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dominik 'Rathann' Mierzejewski 2017-11-29 12:48:53 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-ublock-origin/mozilla-ublock-origin.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-ublock-origin/mozilla-ublock-origin-1.14.18-1.fc27.src.rpm
Description:
An efficient blocker: easy on memory and CPU footprint, and yet can load and
enforce thousands more filters than other popular blockers out there.

Flexible, it's more than an "ad blocker": it can also read and create filters
from hosts files.

Fedora Account System Username: rathann

Comment 1 Robert-André Mauchin 2017-12-02 22:35:30 UTC
 - Guidelines changed a few weeks ago regarding appdata files, they should now be installed in %{buildroot}%{_datadir}/metainfo/:

install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

   And:

%files
%{firefox_inst_dir}/%{ext_id}.xpi
%{_datadir}/metainfo/%{name}.metainfo.xml

 - Update to latest version 1.14.20

Comment 2 Dominik 'Rathann' Mierzejewski 2017-12-29 12:35:54 UTC
Spec URL: https://rathann.fedorapeople.org/review/mozilla-ublock-origin/mozilla-ublock-origin.spec
SRPM URL: https://rathann.fedorapeople.org/review/mozilla-ublock-origin/mozilla-ublock-origin-1.14.22-1.fc27.src.rpm

* Fri Dec 29 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.14.22-1
- update to 1.14.22
- install the appdata meteinfo file into correct place

Thanks for the review!

Comment 3 Robert-André Mauchin 2017-12-29 17:57:41 UTC
Package approved.

Comment 4 Gwyn Ciesla 2017-12-29 18:13:18 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mozilla-ublock-origin

Comment 5 Fedora Update System 2017-12-29 19:29:53 UTC
mozilla-ublock-origin-1.14.22-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a8b77b0496

Comment 6 Fedora Update System 2017-12-29 19:30:00 UTC
mozilla-ublock-origin-1.14.22-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-94e8bf7417

Comment 7 Fedora Update System 2017-12-30 19:52:21 UTC
mozilla-ublock-origin-1.14.22-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a8b77b0496

Comment 8 Fedora Update System 2017-12-30 20:38:14 UTC
mozilla-ublock-origin-1.14.22-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-94e8bf7417

Comment 9 Fedora Update System 2018-01-02 16:54:36 UTC
mozilla-ublock-origin-1.14.22-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-01-09 16:49:19 UTC
mozilla-ublock-origin-1.14.22-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.